--- stg_oficiales.CLIENTES_TOTAL_EXTENDIDO
select c.id_cliente,

       c.TIPO_DOCUMENTO,
       c.CEDULA                                    AS NUM_DOCUMENTO,
       ag.DESCRIP_ORIGEN                           AS NOM_AGENCIA,

       c.DIRECCION_DOM                             AS DIRECC_DOM,
       c.TELEFONO_DOM                              AS TELDOM,
       c.TELEFONO_OFI                              AS TELOFIC,
       c.CELULAR,
       c.EMAIL,
       c.FECHA_NACIMIENTO,
       c.SEXO,
       c.ESTADO_CIVIL,
       c.INSTRUCCION,
       c.ACTI_ECONOMICA,
       c.PERSONERIA,
       c.FEC_CREACION,

       c.NUM_CARGAS,
       c.REL_DEPENDENCIA,
       NVL(ef.VALOR, 0)                            AS INGRESOS,
       c.PARROQUIA_DOM                             AS PARROQUIA,
       c.PROVINCIA_DOM                             AS PROVINCIA,
       c.RESIDENCIA,

       --creditos
       NVL(cau.NUM_PRESTAMOS_COMERCIAL, 0)         AS NUM_PRESTAMOS_COMERCIAL,
       NVL(cau.SALDO_INICIAL_COMERCIAL, 0)         AS SALDO_INICIAL_COMERCIAL,
       NVL(cau.SALDO_DEUDA_COMERCIAL, 0)           AS SALDO_DEUDA_COMERCIAL,

       NVL(cau2.NUM_PRESTAMOS_CONSUMO, 0)          AS NUM_PRESTAMOS_CONSUMO,
       NVL(cau2.SALDO_INICIAL_CONSUMO, 0)          AS SALDO_INICIAL_CONSUMO,
       NVL(cau2.SALDO_DEUDA_CONSUMO, 0)            AS SALDO_DEUDA_CONSUMO,

       NVL(cau3.NUM_PRESTAMOS_VIVIENDA, 0)         AS NUM_PRESTAMOS_VIVIENDA,
       NVL(cau3.SALDO_INICIAL_VIVIENDA, 0)         AS SALDO_INICIAL_VIVIENDA,
       NVL(cau3.SALDO_DEUDA_VIVIENDA, 0)           AS SALDO_DEUDA_VIVIENDA,

       -- plazos
       NVL(ac.NUM_PLAZOS, 0)                       AS NUM_PLAZOS,
       NVL(ac.SALDO_PLAZO, 0)                      AS SALDO_PLAZO,

       -- cuentas
       NVL(cvst.NUM_CTA_ACTIVAS_TRA, 0)            AS NUM_CTA_ACTIVAS_TRA,
       NVL(cvsc.NUM_CTA_ACTIVAS_CONS, 0)           AS NUM_CTA_ACTIVAS_CONS,
       NVL(cvst.SALDO_PROM_ACT_SEMESTRAL_TRA, 0)   AS SALDO_PROM_ACT_SEMESTRAL_TRA,
       NVL(cvsc.SALDO_PROM_ACT_SEMESTRAL_CONS, 0)  AS SALDO_PROM_ACT_SEMESTRAL_CONS,

       --CDAs
       NVL(cs.NUM_CDAS, 0)                         AS NUM_CDAS,
       NVL(cs.MONTO_CDAS, 0)                       AS MONTO_CDAS,
       -- tarjetas
       NVL(tta.TARJETAS_ACTIVAS, 0)                AS TARJETAS_ACTIVAS,
       NVL(ttta.TC_ACTIVAS, 0)                     AS TC_ACTIVAS,
       NVL(ttta.TC_SALDO_DEUDA, 0)                 AS TC_SALDO_DEUDA,

       c.FEC_CREA_MODIFICA,
       '-'                                         as VIVIENDA, --todo

       --TRANSACCIONES
       NVL(trx1.TRX_ATM, 0)                        AS TRX_ATM,
       NVL(trx1.TRX_ATM_MONTO, 0)                  AS TRX_ATM_MONTO,

       NVL(trx2.TRX_POS, 0)                        AS TRX_POS,
       NVL(trx2.TRX_POS_MONTO, 0)                  AS TRX_POS_MONTO,

       NVL(trx3.TRX_CAJAS_DEPOSITO, 0)             AS TRX_CAJAS_DEPOSITO,
       NVL(trx3.TRX_CAJAS_DEPOSITO_MONTO, 0)       AS TRX_CAJAS_DEPOSITO_MONTO,

       NVL(trx4.TRX_CAJAS_RETIRO, 0)               AS TRX_CAJAS_RETIRO,
       NVL(trx4.TRX_CAJAS_RETIRO_MONTO, 0)         AS TRX_CAJAS_RETIRO_MONTO,

       NVL(trx5.TRX_CAJAS_DEPOSITO_SERVI, 0)       AS TRX_CAJAS_DEPOSITO_SERVI,
       NVL(trx5.TRX_CAJAS_DEPOSITO_SERVI_MONTO, 0) AS TRX_CAJAS_DEPOSITO_SERVI_MONTO,

       NVL(trx6.TRX_CAJAS_RETIRO_SERVI, 0)         AS TRX_CAJAS_RETIRO_SERVI,
       NVL(trx6.TRX_CAJAS_RETIRO_SERVI_MONTO, 0)   AS TRX_CAJAS_RETIRO_SERVI_MONTO,

       NVL(trx7.TRX_APP, 0)                        AS TRX_APP,
       NVL(trx7.TRX_APP_MONTO, 0)                  AS TRX_APP_MONTO,

       NVL(trx8.TRX_WEB, 0)                        AS TRX_WEB,
       NVL(trx8.TRX_WEB_MONTO, 0)                  AS TRX_WEB_MONTO,
       lt.FECHA_ULT_TRANSACCION                    AS FECHA_ULT_TRANSACCION


from mupibi.clientes.DR_CL_CLIENTE c
         LEFT JOIN (SELECT ID_CLIENTE,
                           SUM(u.NUM_PRESTAMOS) NUM_PRESTAMOS_COMERCIAL,
                           SUM(u.SALDO_INICIAL) SALDO_INICIAL_COMERCIAL,
                           SUM(u.SALDO_DEUDA)   SALDO_DEUDA_COMERCIAL
                    FROM "stg_oficiales"."CA_UNICA" u
                    where u.CLASE = 'COMERCIAL'
                    GROUP BY ID_CLIENTE
) cau on c.ID_CLIENTE = cau.ID_CLIENTE

         LEFT JOIN (SELECT ID_CLIENTE,
                           SUM(u.NUM_PRESTAMOS) NUM_PRESTAMOS_CONSUMO,
                           SUM(u.SALDO_INICIAL) SALDO_INICIAL_CONSUMO,
                           SUM(u.SALDO_DEUDA)   SALDO_DEUDA_CONSUMO
                    FROM "stg_oficiales"."CA_UNICA" u
                    where u.CLASE = 'CONSUMO'
                    GROUP BY ID_CLIENTE
) cau2 on c.ID_CLIENTE = cau2.ID_CLIENTE

         LEFT JOIN (SELECT ID_CLIENTE,
                           SUM(u.NUM_PRESTAMOS) NUM_PRESTAMOS_VIVIENDA,
                           SUM(u.SALDO_INICIAL) SALDO_INICIAL_VIVIENDA,
                           SUM(u.SALDO_DEUDA)   SALDO_DEUDA_VIVIENDA
                    FROM "stg_oficiales"."CA_UNICA" u
                    where u.CLASE = 'VIVIENDA'
                    GROUP BY ID_CLIENTE
) cau3 on c.ID_CLIENTE = cau3.ID_CLIENTE

    --TRANSACCIONES
         LEFT JOIN (SELECT t.ID_CLIENTE, SUM(t.COUNT_TRX) AS TRX_ATM, SUM(t.VALOR) AS TRX_ATM_MONTO
                    from "stg_oficiales"."AH_TRANSACCION" t
                    WHERE t.ID_RAZON_CUSTOM = 'ATM'
                    GROUP BY t.ID_CLIENTE
) trx1 on trx1.ID_CLIENTE = c.ID_CLIENTE
         LEFT JOIN (SELECT t.ID_CLIENTE, SUM(t.COUNT_TRX) AS TRX_POS, SUM(t.VALOR) AS TRX_POS_MONTO
                    from "stg_oficiales"."AH_TRANSACCION" t
                    WHERE t.ID_RAZON_CUSTOM = 'POS'
                    GROUP BY t.ID_CLIENTE
) trx2 on trx2.ID_CLIENTE = c.ID_CLIENTE

         LEFT JOIN (SELECT t.ID_CLIENTE,
                           SUM(t.COUNT_TRX) AS TRX_CAJAS_DEPOSITO,
                           SUM(t.VALOR)     AS TRX_CAJAS_DEPOSITO_MONTO
                    from "stg_oficiales"."AH_TRANSACCION" t
                    WHERE t.ID_RAZON_CUSTOM = 'R0'
                      and t.tipo_Transacc in ('DEPS', 'DEPC')
                      and t.agencia <> '43'
                    GROUP BY t.ID_CLIENTE
) trx3 on trx3.ID_CLIENTE = c.ID_CLIENTE

         LEFT JOIN (SELECT t.ID_CLIENTE, SUM(t.COUNT_TRX) AS TRX_CAJAS_RETIRO, SUM(t.VALOR) AS TRX_CAJAS_RETIRO_MONTO
                    from "stg_oficiales"."AH_TRANSACCION" t
                    WHERE t.ID_RAZON_CUSTOM = 'R0'
                      and t.tipo_Transacc in ('RETV')
                      and t.agencia <> '43'
                    GROUP BY t.ID_CLIENTE
) trx4 on trx4.ID_CLIENTE = c.ID_CLIENTE

         LEFT JOIN (SELECT t.ID_CLIENTE,
                           SUM(t.COUNT_TRX) AS TRX_CAJAS_DEPOSITO_SERVI,
                           SUM(t.VALOR)     AS TRX_CAJAS_DEPOSITO_SERVI_MONTO
                    from "stg_oficiales"."AH_TRANSACCION" t
                    WHERE t.ID_RAZON_CUSTOM = 'R0'
                      and t.tipo_Transacc in ('DEPS', 'DEPC')
                      and t.agencia = '43'
                    GROUP BY t.ID_CLIENTE
) trx5 on trx5.ID_CLIENTE = c.ID_CLIENTE

         LEFT JOIN (SELECT t.ID_CLIENTE,
                           SUM(t.COUNT_TRX) AS TRX_CAJAS_RETIRO_SERVI,
                           SUM(t.VALOR)     AS TRX_CAJAS_RETIRO_SERVI_MONTO
                    from "stg_oficiales"."AH_TRANSACCION" t
                    WHERE t.ID_RAZON_CUSTOM = 'R0'
                      and t.tipo_Transacc in ('RETV')
                      and t.agencia = '43'
                    GROUP BY t.ID_CLIENTE
) trx6 on trx6.ID_CLIENTE = c.ID_CLIENTE

         LEFT JOIN (SELECT t.ID_CLIENTE, SUM(t.COUNT_TRX) AS TRX_APP, SUM(t.VALOR) AS TRX_APP_MONTO
                    from "stg_oficiales"."AH_TRANSACCION" t
                    WHERE t.ID_RAZON_CUSTOM = 'APP'
                    GROUP BY t.ID_CLIENTE
) trx7 on trx7.ID_CLIENTE = c.ID_CLIENTE

         LEFT JOIN (SELECT t.ID_CLIENTE, SUM(t.COUNT_TRX) AS TRX_WEB, SUM(t.VALOR) AS TRX_WEB_MONTO
                    from "stg_oficiales"."AH_TRANSACCION" t
                    WHERE t.ID_RAZON_CUSTOM = 'WEB'
                    GROUP BY t.ID_CLIENTE
) trx8 on trx8.ID_CLIENTE = c.ID_CLIENTE

    --CUENTAS

         LEFT JOIN (SELECT s.ID_CLIENTE,
                           SUM(s.NUM_CTA)              as NUM_CTA_ACTIVAS_CONS,
                           SUM(s.SALDO_PROM_SEMESTRAL) as SALDO_PROM_ACT_SEMESTRAL_CONS
                    FROM stg_oficiales.AH_CUENTA_VISTA_SALDOS s
                    WHERE s.TIPO = 'V'
                      AND s.TIPO_CUENTA = 104
                      AND TRIM(s.STATUS_CUENTA) = 'ACTIVA'
                    GROUP BY s.ID_CLIENTE
) cvsc ON c.ID_CLIENTE = cvsc.ID_CLIENTE

         LEFT JOIN (SELECT s.ID_CLIENTE,
                           SUM(s.NUM_CTA)              as NUM_CTA_ACTIVAS_TRA,
                           SUM(s.SALDO_PROM_SEMESTRAL) as SALDO_PROM_ACT_SEMESTRAL_TRA
                    FROM stg_oficiales.AH_CUENTA_VISTA_SALDOS s
                    WHERE s.TIPO = 'V'
                      AND s.TIPO_CUENTA = 101
                      AND TRIM(s.STATUS_CUENTA) = 'ACTIVA'
                    GROUP BY s.ID_CLIENTE
) cvst ON c.ID_CLIENTE = cvst.ID_CLIENTE

    -- PLANES AHORRO
         LEFT JOIN (SELECT c.ID_CLIENTE, SUM(c.NUM_PLAZOS) AS NUM_PLAZOS, SUM(c.SALDO_PLAZO) AS SALDO_PLAZO
                    FROM stg_oficiales.AHP_CUENTA c
                    GROUP BY c.ID_CLIENTE) ac ON c.ID_CLIENTE = ac.ID_CLIENTE

    --CDAs
         LEFT JOIN (SELECT s.ID_CLIENTE, SUM(s.NUM_CERT) AS NUM_CDAS, SUM(s.SALDO) AS MONTO_CDAS
                    FROM "mupi.MUPI".CRT_SOCIO s
                    GROUP BY s.ID_CLIENTE) cs ON c.ID_CLIENTE = cs.ID_CLIENTE

    -- TARJETAS
         LEFT JOIN (SELECT t.ID_CLIENTE, SUM(t.NUM_TARJETAS) AS TARJETAS_ACTIVAS
                    FROM stg_oficiales.TAD_TARJETAS t
                    WHERE t.ID_ESTADO_TD = 1
                    GROUP BY t.ID_CLIENTE) tta ON c.ID_CLIENTE = tta.ID_CLIENTE

    -- TARJETAS CRÉDITO
         LEFT JOIN (SELECT t.CEDULA, SUM(t.NUM_TARJETAS) AS TC_ACTIVAS, SUM(t.SALDO_TARJETA) AS TC_SALDO_DEUDA
                    FROM "stg_oficiales".TC_TARJETA_TITULAR t
                    WHERE t.ACTIVA = 1
                    GROUP BY t.CEDULA) ttta ON c.CEDULA = ttta.CEDULA
    --AGENCIA
         left join "mupi.MUPI".AH_ORIGEN ag on c.COD_AGENCIA = ag.ID_AGENCIA

    --INGRESOS
         left join "stg_oficiales".CL_EST_FINAN ef on ef.ID_CLIENTE = c.ID_CLIENTE

    -- LAST_TRANSACCION
         left join stg_oficiales.AH_TRANSACCION_LAST lt on lt.ID_CLIENTE = c.ID_CLIENTE

WHERE NVL(cau.NUM_PRESTAMOS_COMERCIAL, 0) + NVL(cau2.NUM_PRESTAMOS_CONSUMO, 0) + NVL(cau3.NUM_PRESTAMOS_VIVIENDA, 0) +
      NVL(ac.NUM_PLAZOS, 0) + NVL(cvsc.NUM_CTA_ACTIVAS_CONS, 0) + NVL(cvst.NUM_CTA_ACTIVAS_TRA, 0) +
      + NVL(cs.NUM_CDAS, 0) <> 0;